#include <stdio.h>
#include <arpa/inet.h>
#include <sys/socket.h>
#include <netdb.h>
#include <mintbind.h>

int main(int argc, char* argv[])
{
	struct hostent *host = gethostbyname("www.ardisoft.de");
	if(host) {
		printf("host=%s\r\n", host->h_name);
		struct in_addr ** pptr = (struct in_addr **)host->h_addr_list;
		while( *pptr != NULL ){
			printf("ip address: %s\r\n", inet_ntoa(**(pptr++)));
  		}
		struct in_addr *addr = (struct in_addr *)host->h_addr_list[0];
		printf("create socket");
		long sock = socket(PF_INET, SOCK_STREAM, 0);
		if(sock>=0) {
			printf(" ok\r\n");
			struct sockaddr_in my_addr;
			my_addr.sin_family = AF_INET;
			my_addr.sin_port = htons(80);
			my_addr.sin_addr = *addr;
			printf("create connection");
			if(connect(sock, (struct sockaddr*)&my_addr, sizeof(my_addr))==0) {
				printf(" ok\r\n");
				char buf[] = "GET / HTTP/1.1\r\nHost: www.ardisoft.de\r\n\r\n";
				printf("send");
				if(send(sock, buf, sizeof(buf)-1, 0)>=0) {
					printf(" ok\r\n");
					char buf_in[512];
					printf("recv");
					long r=0;
					uint32_t select = 1<<sock;
					if(Fselect(10*1000/*10sec*/, &select, 0, 0)>0 && (r=recv(sock, buf_in, 512, 0))>0)  {
						printf(" ok (%ld bytes readed)\r\n", r);
						buf_in[511]=0;
						printf(buf_in);
					} 
				}
			}
		}
		printf(" failed\r\n");

	}
	else
		printf("host=0\r\n");
	return 0;
}

